VisualDiffs: Add custom messages for reference changes
Closed, ResolvedPublic8 Story Points

Description

References

  • added/removed
  • group changed
  • contents changed

References list

  • added/removed
  • group changed
  • columns setting changed
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2017, 11:30 PM

Change 343134 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/Cite] [WIP] Describe group changes for references and references lists

https://gerrit.wikimedia.org/r/343134

Izno moved this task from Unsorted backlog to External on the Cite board.Mar 21 2017, 5:44 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF changed the point value for this task from 1 to 8.

Change 343134 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Describe group changes for references and references lists

https://gerrit.wikimedia.org/r/343134

Tchanders updated the task description. (Show Details)Jul 10 2017, 7:43 PM
Tchanders added a subscriber: Esanders.

@Esanders Do you have any ideas about "columns setting changed"?

Esanders added a comment.EditedJul 10 2017, 7:48 PM

For {{reflist}] there is probably a column attribute, but we don't yet support templates but that's a separate issue. For <references> list we recently introduced the responsive attribute, so maybe we could add a message if that is changed, but given we don't have a UI for changing it in VE yet - I'd say we're done here. @Jdforrester-WMF?

Deskana lowered the priority of this task from High to Normal.Aug 22 2017, 2:29 PM

Change 413643 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Cite@master] VisualEditor: Describe reflist responsiveness changes too

https://gerrit.wikimedia.org/r/413643

Jdforrester-WMF added a subscriber: Tchanders.

Only one, pretty trivial part of this left.

Change 413643 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] VisualEditor: Describe reflist responsiveness changes too

https://gerrit.wikimedia.org/r/413643

Deskana closed this task as Resolved.Feb 26 2018, 11:32 AM

I see the custom messages for the changes related with References list but not for adding/removing/changing group/changing content for references. Not sure if I am missing something.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 27 2018, 11:28 PM

Hmm, the task is phrased a bit strangely. We don't actually have custom messages for adding/removing/changing content for references - we just show the change.

As for changing the group of a reference did you mean this or something else?

Hmm, the task is phrased a bit strangely. We don't actually have custom messages for adding/removing/changing content for references - we just show the change.

Got it!

As for changing the group of a reference did you mean this or something else?

I actually meant the following by changing the group of a reference, which seems to be working fine now :)